--- title: "Update a VM group" slug: "update-a-vm-group-3" tags: ["Product Usage"] updated: 2026-11-19T12:28:35Z published: 2026-11-19T12:28:35Z canonical: "docs.trellix.com/update-a-vm-group-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a VM group This URL updates a VM group. ### Resource URL PUT /vmgroup/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `VM group Id` | VM group ID. You can use the `GET /vmgroup` method to get the VM group ID. | number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `groupName` | Name of the VM group | string | No | | `description` | Description of the VM group | string | No | | `inspectionMode` | Mode of inspection. The supported values are `ips` and`ids`. Supported value is `ips`. | string | No | | `clusterId` | Cluster ID associated with VM group | string | No | | `protectedObjects` | Protected objects for the VM group | object | No | | `controllerId` | Controller ID associated with the VM group | string | No | Details of protectedObjects: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `type` | Type of protected object. The supported value is `cidr`. | string | Yes | | `value` | Value of the protected object. For example, if the protected object is `cidr`, the value will contain the IP address range for the `cidr`. | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the update of VM group is successful. Value is set to `true` if the update of VM group is successful. Value is set to `false` if the update of VM group is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Not applicable | Not applicable | ### Example **Request** PUT [https:///intruvert/webservice/api/v1/cloud/vmgroup/12](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup/12) Payload ``` { "groupName": "vmgroupforupdate", "description": "Updated group name", "inspectionMode": "ips", "clusterId": 1, "protectedObjects": [ {"type": "cidr", "value": "1.1.1.73/32"} ], "controllerId": 1 } ``` **Response** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": 1 } ```